Package twisted :: Package conch :: Module interfaces :: Class IConchUser

[frames | no frames]

## Class IConchUser

    Interface --+
                |
               IConchUser

A user who has been authenticated to Cred through Conch. This is the interface between the SSH connection and the user.

Method Summary
| ``gotGlobalRequest`(self, requestType, data)` A global request was sent from the other side.
subclass of `SSHChannel`/`tuple` | ``lookupChannel`(self, channelType, windowSize, maxPacket, data)` The other side requested a channel of some sort.
| ``lookupSubsystem`(self, subsystem, data)` The other side requested a subsystem.

Instance Variable Summary
| `conn`: The SSHConnection object for this user.

Method Details

### gotGlobalRequest(self, requestType, data)

A global request was sent from the other side.

By default, this dispatches to a method 'channel_channelType' with any non-alphanumerics in the channelType replace with _'s. If it cannot find a suitable method, it returns an OPEN_UNKNOWN_CHANNEL_TYPE error. The method is called with arguments of windowSize, maxPacket, data.

### lookupChannel(self, channelType, windowSize, maxPacket, data)

The other side requested a channel of some sort. channelType is the type of channel being requested, windowSize is the initial size of the remote window, maxPacket is the largest packet we should send, data is any other packet data (often nothing).

We return a subclass of SSHChannel. If an appropriate channel can not be found, an exception will be raised. If a ConchError is raised, the .value will be the message, and the .data will be the error code.

  Parameters:
    `channelType`
    (type=`str`)
    `windowSize`
    (type=`int`)
    `maxPacket`
    (type=`int`)
    `data`
    (type=`str`)
  Returns:
    subclass of `SSHChannel`/`tuple`

### lookupSubsystem(self, subsystem, data)

The other side requested a subsystem. subsystem is the name of the subsystem being requested. data is any other packet data (often nothing).

We return a Protocol.

Instance Variable Details

### conn

The SSHConnection object for this user.

Generated by Epydoc 2.0 on Sat May 15 20:08:09 2004 | http://epydoc.sf.net